Last Comment Bug 741164 - crash in nsNPAPIPluginInstance::Initialize
: crash in nsNPAPIPluginInstance::Initialize
Status: RESOLVED FIXED
: crash, regression
Product: Core
Classification: Components
Component: Plug-ins (show other bugs)
: 14 Branch
: x86 Windows NT
: -- critical (vote)
: ---
Assigned To: Nobody; OK to take it and work on it
:
Mentors:
Depends on: 741126
Blocks: 740217
  Show dependency treegraph
 
Reported: 2012-03-31 23:39 PDT by Scoobidiver (away)
Modified: 2012-04-02 07:21 PDT (History)
2 users (show)
See Also:
Crash Signature:
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments

Description Scoobidiver (away) 2012-03-31 23:39:48 PDT
It first appeared in 14.0a1/20120331161857. The regression range is:
http://hg.mozilla.org/mozilla-central/pushloghtml?fromchange=4c43cfe73516&tochange=bbe5086163c9
It's likely a regression from bug 740217.

Signature 	nsNPAPIPluginInstance::Initialize(nsIPluginInstanceOwner*, char const*) More Reports Search
UUID	d0acc9df-513b-4b81-bc1c-4b0182120401
Date Processed	2012-04-01 05:19:33
Uptime	70
Last Crash	5.8 days before submission
Install Age	1.2 minutes since version was first installed.
Install Time	2012-04-01 05:18:54
Product	Firefox
Version	14.0a1
Build ID	20120331161857
Release Channel	nightly
OS	Windows NT
OS Version	5.1.2600 Service Pack 2
Build Architecture	x86
Build Architecture Info	GenuineIntel family 15 model 4 stepping 3
Crash Reason	EXCEPTION_ACCESS_VIOLATION_WRITE
Crash Address	0x40
User Comments	
App Notes 	
Cisco VPN
AdapterVendorID: 0x8086, AdapterDeviceID: 0x2772, AdapterSubsysID: 544e8086, AdapterDriverVersion: 6.14.10.4436
D3D10 Layers? D3D10 Layers- D3D9 Layers? D3D9 Layers- 	
EMCheckCompatibility	True	
Total Virtual Memory	2147352576
Available Virtual Memory	1975087104
System Memory Use Percentage	40
Available Page File	3365310464
Available Physical Memory	1266216960

Frame 	Module 	Signature 	Source
0 	xul.dll 	nsNPAPIPluginInstance::Initialize 	dom/plugins/base/nsNPAPIPluginInstance.cpp:152
1 	xul.dll 	nsPluginHost::TrySetUpPluginInstance 	dom/plugins/base/nsPluginHost.cpp:1333
2 	xul.dll 	nsPluginHost::SetUpPluginInstance 	dom/plugins/base/nsPluginHost.cpp:1218
3 	xul.dll 	nsPluginHost::InstantiateFullPagePlugin 	dom/plugins/base/nsPluginHost.cpp:1146
4 	xul.dll 	nsObjectLoadingContent::InstantiatePluginInstance 	content/base/src/nsObjectLoadingContent.cpp:680
5 	xul.dll 	mozilla::dom::PluginStreamListener::SetupPlugin 	content/html/document/src/PluginDocument.cpp:156
6 	xul.dll 	mozilla::dom::PluginStreamListener::OnStartRequest 	content/html/document/src/PluginDocument.cpp:121
7 	xul.dll 	nsDocumentOpenInfo::OnStartRequest 	uriloader/base/nsURILoader.cpp:304
8 	xul.dll 	nsHttpChannel::CallOnStartRequest 	netwerk/protocol/http/nsHttpChannel.cpp:772
9 	xul.dll 	nsHttpChannel::ContinueProcessNormal 	netwerk/protocol/http/nsHttpChannel.cpp:1273
10 	xul.dll 	nsHttpChannel::ProcessNormal 	netwerk/protocol/http/nsHttpChannel.cpp:1210
11 	xul.dll 	nsHttpChannelAuthProvider::Release 	netwerk/protocol/http/nsHttpChannelAuthProvider.cpp:1317
12 	xul.dll 	nsHttpChannel::ProcessResponse 	netwerk/protocol/http/nsHttpChannel.cpp:1045
13 	nspr4.dll 	_MD_CURRENT_THREAD 	nsprpub/pr/src/md/windows/w95thred.c:308
14 	nspr4.dll 	_MD_CURRENT_THREAD 	nsprpub/pr/src/md/windows/w95thred.c:308
15 	nspr4.dll 	PR_Unlock 	nsprpub/pr/src/threads/combined/prulock.c:347
16 	xul.dll 	nsHttpChannel::OnStartRequest 	netwerk/protocol/http/nsHttpChannel.cpp:4316
17 	xul.dll 	nsInputStreamPump::OnStateStart 	netwerk/base/src/nsInputStreamPump.cpp:444
18 	xul.dll 	nsInputStreamPump::OnInputStreamReady 	netwerk/base/src/nsInputStreamPump.cpp:399
19 	xul.dll 	nsInputStreamReadyEvent::Run 	xpcom/io/nsStreamUtils.cpp:114
20 	xul.dll 	nsThread::ProcessNextEvent 	xpcom/threads/nsThread.cpp:656
21 	xul.dll 	mozilla::ipc::MessagePump::Run 	ipc/glue/MessagePump.cpp:110
22 	xul.dll 	MessageLoop::RunHandler 	ipc/chromium/src/base/message_loop.cc:201
23 	xul.dll 	MessageLoop::Run 	ipc/chromium/src/base/message_loop.cc:175
24 	xul.dll 	nsBaseAppShell::Run 	widget/xpwidgets/nsBaseAppShell.cpp:189
25 	xul.dll 	nsAppShell::Run 	widget/windows/nsAppShell.cpp:267
26 	xul.dll 	nsAppStartup::Run 	toolkit/components/startup/nsAppStartup.cpp:295
27 	xul.dll 	XREMain::XRE_mainRun 	toolkit/xre/nsAppRunner.cpp:3770
28 	xul.dll 	XREMain::XRE_main 	toolkit/xre/nsAppRunner.cpp:3847
29 	xul.dll 	XRE_main 	toolkit/xre/nsAppRunner.cpp:3923
...

More reports at:
https://crash-stats.mozilla.com/report/list?signature=nsNPAPIPluginInstance%3A%3AInitialize%28nsIPluginInstanceOwner*%2C+char+const*%29
Comment 1 Josh Aas 2012-04-01 03:09:27 PDT
This will likely be fixed by the patch in bug 741126.
Comment 2 Josh Aas 2012-04-01 03:14:50 PDT
Open this up if the patch in bug 741126 didn't fix it.

Note You need to log in before you can comment on or make changes to this bug.